## lcat 1.0.1-2.05

=== Makefile ===
prefix=
INC=-I/usr/include/kudzu
# define BLACKLIST to avoid loading potentially dangerous modules
CFLAGS=-DBLACKLIST -Wall -fPIC
OPT=-O2
LDFLAGS=-s
LIBS=-lkudzu -lpci
CC=gcc

hwsetup: hwsetup.c
	$(CC) $(INC) $(CFLAGS) $(OPT) $(LDFLAGS) -o $@ $< $(LIBS)

install: hwsetup
	[ -d $(prefix)/sbin ] || mkdir -p $(prefix)/sbin
	install -m 755 hwsetup $(prefix)/sbin/hwsetup

clean:
	rm -f hwsetup *.o core

dist: clean
	cd .. ; \
	tar -cvf - hwsetup/{Makefile,*.[ch]} | \
	bzip2 -9 > $(HOME)/redhat/SOURCES/hwsetup.tar.bz2

=== cloop-2.05-opt/advancecomp-1.14/Makefile ===
# Makefile.in generated by automake 1.9.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




SOURCES = $(advdef_SOURCES) $(advfs_SOURCES) $(advmng_SOURCES) $(advpng_SOURCES) $(advzip_SOURCES)

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/advancecomp
pkglibdir = $(libdir)/advancecomp
pkgincludedir = $(includedir)/advancecomp
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
bin_PROGRAMS = advzip$(EXEEXT) advpng$(EXEEXT) advmng$(EXEEXT) \
	advdef$(EXEEXT) advfs$(EXEEXT)
DIST_COMMON = README $(am__configure_deps) $(noinst_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(top_srcdir)/configure AUTHORS COPYING \
	INSTALL config.guess config.sub install-sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_advdef_OBJECTS = redef.$(OBJEXT) file.$(OBJEXT) data.$(OBJEXT) \
	siglock.$(OBJEXT) compress.$(OBJEXT) getopt.$(OBJEXT) \
	snprintf.$(OBJEXT) pngex.$(OBJEXT) fz.$(OBJEXT) \
	error.$(OBJEXT) snstring.$(OBJEXT) png.$(OBJEXT) mng.$(OBJEXT) \
	7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) \
	CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) \
	LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) WindowIn.$(OBJEXT) \
	WindowOut.$(OBJEXT)
advdef_OBJECTS = $(am_advdef_OBJECTS)
advdef_LDADD = $(LDADD)
am_advfs_OBJECTS = advfs.$(OBJEXT) data.$(OBJEXT) siglock.$(OBJEXT) \
	compress.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	pngex.$(OBJEXT) fz.$(OBJEXT) error.$(OBJEXT) \
	snstring.$(OBJEXT) png.$(OBJEXT) mng.$(OBJEXT) \
	7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) \
	CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) \
	LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) WindowIn.$(OBJEXT) \
	WindowOut.$(OBJEXT)
advfs_OBJECTS = $(am_advfs_OBJECTS)
advfs_LDADD = $(LDADD)
am_advmng_OBJECTS = remng.$(OBJEXT) pngex.$(OBJEXT) mngex.$(OBJEXT) \
	scroll.$(OBJEXT) file.$(OBJEXT) data.$(OBJEXT) \
	siglock.$(OBJEXT) compress.$(OBJEXT) getopt.$(OBJEXT) \
	snprintf.$(OBJEXT) fz.$(OBJEXT) png.$(OBJEXT) mng.$(OBJEXT) \
	error.$(OBJEXT) snstring.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \
	InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) LSBFEncoder.$(OBJEXT) \
	LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) LZMAEncoder.$(OBJEXT) \
	LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) \
	WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advmng_OBJECTS = $(am_advmng_OBJECTS)
advmng_LDADD = $(LDADD)
am_advpng_OBJECTS = repng.$(OBJEXT) pngex.$(OBJEXT) file.$(OBJEXT) \
	data.$(OBJEXT) siglock.$(OBJEXT) compress.$(OBJEXT) \
	getopt.$(OBJEXT) snprintf.$(OBJEXT) fz.$(OBJEXT) png.$(OBJEXT) \
	error.$(OBJEXT) snstring.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \
	InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) LSBFEncoder.$(OBJEXT) \
	LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) LZMAEncoder.$(OBJEXT) \
	LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) \
	WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advpng_OBJECTS = $(am_advpng_OBJECTS)
advpng_LDADD = $(LDADD)
am_advzip_OBJECTS = rezip.$(OBJEXT) zip.$(OBJEXT) file.$(OBJEXT) \
	data.$(OBJEXT) siglock.$(OBJEXT) compress.$(OBJEXT) \
	zipsh.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) \
	CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) \
	LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) WindowIn.$(OBJEXT) \
	WindowOut.$(OBJEXT)
advzip_OBJECTS = $(am_advzip_OBJECTS)
advzip_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(advdef_SOURCES) $(advfs_SOURCES) $(advmng_SOURCES) \
	$(advpng_SOURCES) $(advzip_SOURCES)
DIST_SOURCES = $(advdef_SOURCES) $(advfs_SOURCES) $(advmng_SOURCES) \
	$(advpng_SOURCES) $(advzip_SOURCES)
man1dir = $(mandir)/man1
NROFF = nroff
MANS = $(man_MANS)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/abeda/CLOOP/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run aclocal-1.9
AMTAR = ${SHELL} /home/abeda/CLOOP/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run tar
AUTOCONF = ${SHELL} /home/abeda/CLOOP/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run autoconf
AUTOHEADER = ${SHELL} /home/abeda/CLOOP/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run autoheader
AUTOMAKE = ${SHELL} /home/abeda/CLOOP/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run automake-1.9
AWK = gawk
CC = gcc
CFLAGS = -g -O2 -DUSE_ERROR_SILENT -DUSE_COMPRESS -D_REENTRANT -pthread
COL = col
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXFLAGS = -g -O2 -DUSE_ERROR_SILENT -DUSE_COMPRESS -D_REENTRANT -pthread
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
GROFF = groff
GZIP = gzip
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lpthread -lz 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/abeda/CLOOP/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run makeinfo
OBJEXT = o
PACKAGE = advancecomp
PACKAGE_BUGREPORT = 
PACKAGE_NAME = AdvanceCOMP
PACKAGE_STRING = AdvanceCOMP 1.14
PACKAGE_TARNAME = advancecomp
PACKAGE_VERSION = 1.14
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
TAR = tar
VERSION = 1.14
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_STRIP = 
am__leading_dot = .
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/abeda/CLOOP/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
advzip_SOURCES = \
	rezip.cc \
	zip.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	zipsh.cc \
	getopt.c \
	snprintf.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advpng_SOURCES = \
	repng.cc \
	pngex.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	lib/fz.c \
	lib/png.c \
	lib/error.c \
	lib/snstring.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advmng_SOURCES = \
	remng.cc \
	pngex.cc \
	mngex.cc \
	scroll.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	lib/fz.c \
	lib/png.c \
	lib/mng.c \
	lib/error.c \
	lib/snstring.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advdef_SOURCES = \
	redef.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	pngex.cc \
	lib/fz.c \
	lib/error.c \
	lib/snstring.c \
	lib/png.c \
	lib/mng.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advfs_SOURCES = \
	advfs.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	pngex.cc \
	lib/fz.c \
	lib/error.c \
	lib/snstring.c \
	lib/png.c \
	lib/mng.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

## lcat 1.0

=== debian/changelog ===
lcat (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Alpha Systems Inc. <knoppix@alpha.co.jp>  Tue, 28 Feb 2006 11:10:35 +0900

=== debian/control ===
Source: lcat
Section: misc
Priority: optional
Maintainer: Alpha Systems Inc.  <knoppix@alpha.co.jp>
Build-Depends: debhelper (>> 3.0.0), zlib1g-dev
Standards-Version: 3.5.2

Package: lcat-cloop-module-2.6.11
Depends: debconf
Suggests: kernel-image-2.6.11
Architecture: any
Description: The compressed loopback block device kernel module
 Cloop is the driver module for transparent access to a
  ISO9660 filesystem contained in compressed volume.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

LKMSRC=cloop-2.02-opt
ADSRC=advancecomp-1.9_create_compressed_fs

k = $(shell echo $(KVERS) | grep -q ^2.6 && echo k)
PACKAGE=lcat-cloop-module
PKGNAME=lcat-cloop-module
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

gencontrol= sed 's/\#KVERS\#/$(KVERS)/g' > $(CURDIR)/debian/control

TARGETDIR=lib/modules/$(KVERS)/kernel/drivers/block
DEB_DESTDIR := $(CURDIR)/..

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure configtest
	dh_testdir
	cat debian/{control.head,control.main} | $(gencontrol)
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/lcat.sgml > lcat.1

	touch build-stamp

# for m-a
configtest:

	cd $(LKMSRC) && CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	pwd
kdist_clean: clean
kdist_config: configtest kdist_configure
kdist_configure: prep-deb-files
	test $(PKGNAME) = lcat-cloop-module || cp debian/lcat-cloop-module.templates debian/$(PKGNAME).templates
	cat debian/{control.head,control.mod} | $(gencontrol)

binary-modules: configtest kdist_configure
	CC=$(CC) $(MAKE) cloop.$ko KERNEL_DIR=$(KSRC) -C $(LKMSRC)
ifneq ($k,k)
	cd 0.68 && CC=$(CC) $(MAKE) cloop.o KERNEL_DIR=$(KSRC) -C $(LKMSRC)
	cd 1.02 && CC=$(CC) $(MAKE) cloop.o KERNEL_DIR=$(KSRC) -C $(LKMSRC)
endif
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p $(PKGNAME) $(TARGETDIR)
	ln -sf $(LKMSRC)/cloop.$ko $(CURDIR)/debian/$(PKGNAME)/$(TARGETDIR)/cloop-2.01.$ko
	ln -sf $(LKMSRC)/cloop.$ko $(CURDIR)/debian/$(PKGNAME)/$(TARGETDIR)/cloop-2.00.$ko
ifneq ($k,k)
	install -m 644 $(LKMSRC)/0.68/cloop.o $(CURDIR)/debian/$(PKGNAME)/$(TARGETDIR)/cloop-0.68.o
	install -m 644 $(LKMSRC)/1.02/cloop.o $(CURDIR)/debian/$(PKGNAME)/$(TARGETDIR)/cloop-1.02.o
endif
	install -m 644 $(LKMSRC)/cloop.$ko $(CURDIR)/debian/$(PKGNAME)/$(TARGETDIR)
	rm -f $(LKMSRC)/cloop.o $(LKMSRC)/compressed_loop.o
	dh_testdir -a
	dh_testroot -a
  	#dh_installdocs
  	#dh_installdocs -a README debian/README.Debian
	#dh_installchangelogs CHANGELOG -a
	dh_compress
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a -- -v$(VERSION)
  	#dh_md5sums -a
	dh_builddeb -a --destdir=$(DEB_DESTDIR)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-$(MAKE) distclean -C $(LKMSRC)
	-$(MAKE) distclean -C $(LKMSRC)/$(ADSRC)
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/lcat.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/lcat


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## lcat 1.0.1-2.05

=== debian/control ===
Source: kudzu-knoppix
Section: utils
Priority: optional
Maintainer: Klaus Knopper <knoppix@knopper.net>
Build-Depends: debhelper (>> 3.0.0), pciutils-dev, libpopt-dev, gettext, perl, dietlibc-dev
Standards-Version: 3.5.2

Package: kudzu-knoppix-vesa
Section: utils
Architecture: i386
Provides: kudzu-vesa, kudzu-knoppix-vesa
Depends: ${shlibs:Depends}
Description: Hardware detecting library
 This is the hardware autodetection & configuration tool, originally
 introduced in Red Hat Linux 6.1. It detects changes in the system's
 hardware configuration, and gives the option of configuring
 added or removed devices.
 .
 This package contains VBE/DDC stuff.

Package: kudzu-knoppix-dev
Section: devel
Provides: kudzu-dev, kudzu-knoppix-dev
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware detecting library
 This is the hardware autodetection & configuration tool, originally
 introduced in Red Hat Linux 6.1. It detects changes in the system's
 hardware configuration, and gives the option of configuring
 added or removed devices.
 .
 This package contains the header files and the staticlibs.

=== cloop-2.05-opt/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper. 
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# This version is for a hypothetical package that can build a kernel modules
# architecture-dependant package via make-kpkg, as well as an
# architecture-independent module source package, and other packages
# either dep/indep for things like common files or userspace components
# needed for the kernel modules.
#

# Basename of module and package
name = cloop

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

### KERNEL SETUP
### Setup the stuff needed for making kernel module packages
### taken from /usr/share/kernel-package/sample.module.rules

# Name of package
# package		= $(name)-knoppix
package		= $(name)
# KSRC is the location of the kernel source. This is the default value,
# when make-kpkg is used it will supply to real value
KSRC		= /usr/src/linux
# KDREV is the package-revision, as given to make-kpkg by the user.
# Just put a simply default value in here which we use when we test
# the packagebuilding without make-kpkg
ifeq ($(strip $(KDREV)),)
KDREV		= "test1.0"
endif

## Now to determine the kernel version, normally supplied by make-kpkg
ifeq ($(strip $(KVERS)),)
# Now we need to get the kernel-version somehow (we are not running
# under make-kpkg?)
ifeq ($(strip $(KSRC)),)
$(error Error. I do not know how to determine the kernel version)
else
kversion :=$(shell grep -E '^VERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/[^0-9]*\([0-9]*\)/\1/')
kplevel  :=$(shell grep -E '^PATCHLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                    sed -e 's/[^0-9]*\([0-9]*\)/\1/')
ksublevel:=$(shell grep -E '^SUBLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                  sed -e 's/[^0-9]*\([0-9]*\)/\1/')
EXTRA_VERSION:=$(shell grep -E '^EXTRAVERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/EXTRAVERSION[\t ]*=[\t ]*\(.*\)/\1/')
kextra:=$(strip $(EXTRA_VERSION))
HAVE_NEW_MODLIB:=$(shell grep -E '\(INSTALL_MOD_PATH\)' \
                            $(KSRC)/Makefile 2>/dev/null )

# If you want to have more than one kernel configuration per kernel
# version, set FLAVOUR in the top level kernel Makefile *before*
# invoking make-kpkg -- it will be appended to UTS_RELEASE in
# version.h (separated by a hyphen). This affects everything -- the
# names and versions of the image, source, headers, and doc packages,
# and where the modules are searched for in /lib/modules.

ifdef FLAVOUR
# uhm - should check if we really have a Makefile capable of Flavours?
endif

FLAVOUR:=$(shell grep ^FLAVOUR $(KSRC)/Makefile 2>/dev/null | \
                  perl -ple 's/FLAVOUR[\s:=]+//g')

ifneq ($(strip $(FLAVOUR)),)
INT_FLAV := -$(FLAVOUR)
FLAV_ARG := FLAVOUR=$(FLAVOUR)
else
INT_FLAV :=
FLAV_ARG :=
endif

## This is the replacement for FLAVOUR
ifneq ($(strip $(APPEND_TO_VERSION)),)
iatv := $(strip $(APPEND_TO_VERSION))
EXTRAV_ARG := EXTRAVERSION=${EXTRA_VERSION}${iatv}
else
iatv :=
EXTRAV_ARG :=
endif

KVERS = $(kversion).$(kplevel).$(ksublevel)$(kextra)$(iatv)$(INT_FLAV)

endif
endif

non_epoch_version=$(shell echo $(KVERS) | perl -pe 's/^\d+://')
epoch=$(shell echo $(KVERS) | perl -ne 'm/^(\d+:)/ && print $$1')

# We also need the package version
pversion	= $(shell sed -ne '1s/.*\((.*)\).*/\1/' debian/changelog)
pversion	= $(shell sed -ne '1s/.*(\(.*\)).*/\1/p' debian/changelog)

# MODDIR is the place where the final .deb package should be made. This is the
# default value, when make-kpkg is used it will supply to real value
MODDIR		= ..

pmodules = $(package)-module-$(non_epoch_version)
psource = $(package)-source
putils = $(package)-utils

# Prepares the package for distribution.  Intended for the kernel
# maintainer.
kdist: kdist_clean kdist_config kdist_image

# The kdist_configure target is called by make-kpkg modules_config. It
# should configure the module so it is ready for compilation (mostly
# useful for calling configure)
kdist_config:
	@echo Nothing to configure

# the kdist_image target is called by make-kpkg modules_image. It is
# responsible for compiling the module and creating the package. It
# should also clean up after making the module. Please note we use a
# seperate binary-modules target to make testing the package building
# easier
kdist_image:
	$(ROOT_CMD) $(MAKE) $(MFLAGS) -f debian/rules binary-modules
	$(MAKE) $(MFLAGS) -f debian/rules clean

# the kdist_clean target is called by make-kpkg modules_clean. It is
# responsible for cleaning up any changes that have been made by the
# other kdist_commands (except for the .deb files created).
kdist_clean:
	$(MAKE) $(MFLAGS) -f debian/rules clean

### end  KERNEL SETUP

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	# $(MAKE)

	touch build-arch-stamp

# the binary-modules target prepares the $(pmodules) package.
# It is called by make-kpkg and *not* during a normal build
binary-modules:
	export DH_OPTIONS='-p$(pmodules)'

	# Is this needed for setting up a Depends?
	#echo "kpkg:Package-Version=$(epoch)$(pversion)+$(non_epoch_version)" \
	#	 >> debian/$(package).substvars
	echo "_KVERS_=$(non_epoch_version)" > \
		debian/$(pmodules).substvars

	sed -e 's/_KVERS_/$(non_epoch_version)/g' debian/control.in > debian/control
	sed -e 's/_KVERS_/$(non_epoch_version)/g' debian/postinst.modules.in > debian/postinst

	dh_testdir
	dh_testroot
	dh_clean -k

	# Build the module
	$(MAKE) module KERNEL_DIR=$(KSRC) KVERSION=$(KVERS)

	# Build the utils
	$(MAKE) create_compressed_fs extract_compressed_fs KERNEL_DIR=$(KSRC) KVERSION=$(KVERS)

	# Install the module
	# $(MAKE) install INSTALL_MOD_PATH=$(CURDIR)/debian/$(pmodules) DESTDIR=$(CURDIR)/debian/$(pmodules)
	
	install -d -m 755  $(CURDIR)/debian/$(pmodules)/lib/modules/$(KVERS)/kernel/drivers/block
	-strip --strip-unneeded $(name).ko
	cp $(name).ko $(CURDIR)/debian/$(pmodules)/lib/modules/$(KVERS)/kernel/drivers/block/

	install -d -m 755 $(CURDIR)/debian/$(putils)/usr/bin
	install -m 755 extract_compressed_fs create_compressed_fs $(CURDIR)/debian/$(putils)/usr/bin/

	dh_installdebconf
	# FIXME dh_installdocs README
	dh_installchangelogs

	# We're not using this yet
	#dh_installmodules

	dh_installdeb
	#dh_gencontrol -- -v$(epoch)$(pversion)+$(non_epoch_version)+$(KDREV)
	dh_gencontrol -- -v$(epoch)$(pversion)
	dh_md5sums
	#dh_builddeb --destdir=$(KSRC)/..
	dh_builddeb --destdir=$(MODDIR)

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	#dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Create the directories to install the source into
	dh_installdirs -p$(psource)  usr/src/modules/$(package)
	dh_installdirs -p$(psource)  usr/src/modules/$(package)/debian

	# Copy only the driver source to the proper location
	cp -a CHANGELOG *.[hc] Makefile README debian/$(psource)/usr/src/modules/$(package)

	# Copy the needed debian/ pieces to the proper location
	cp debian/control.in \
		debian/$(psource)/usr/src/modules/$(package)/debian/control.in
	cp debian/rules \
